import React from 'react'
import { GenreProportion } from '../../../api/models/Types'

export interface IGenreListViewProps{
	items: Array<GenreProportion>
	// userLanguageId?: string | null | undefined
	// forceRefresh: () => void,
}

export default function GenreListView(props: IGenreListViewProps) {
	return (
		<div className='row w-100 g-1 justify-content-start'>
			{
				React.Children.toArray(
					props.items.map((item) => 
						<div className='col-auto'>
							<span className="badge bg-secondary">{item.genre.name}</span>
						</div>
					)
				)
			}
		</div>
	)
}
